Validating WordPress Plugins Flattr, Photo Dropper, Shadows

html tag italicized
If you’re using WordPress and have looked at your site with the W3C webpage validator, you’ll most likely see no errors. Unless you use 3rd party plugins, which often don’t do everything right. In my case, I see that the Flattr for WordPress plugin is not closing tags, Photo Dropper uses an HTML attribute value that is not supported and the Shadows-plugin is also not closing the <img>-tag of the shadows image.

So, if you’re using these plugins and know how to contact the authors, please drop them a line. I fixed the Photo Dropper and the shadows-plugins here, but don’t really have the energy to go after the flattr-plugin, as the fixes get overridden with new plugin versions, and flattr keeps them coming each month…

It’s bugging me that plugins are the reason my site doesn’t validate.

Creative Commons License photo credit: Jesper Rønn-Jensen

Related Posts:

173 Views, Posted Thursday, January 20th, 2011 under Privat.

5 comments

  1. Hi, I’m currently maintaining the flattr wordpress plugin code. I’ll see to this asap. Stay tuned for the next plugin release and thanks for your patience.

  2. Nice! Thanks! You can see the errors if you validate this page with the validator, it’s the p tag around the flattr-button.

  3. Lucinda at Photodropper here to let you know we’ve got a new version of the plugin (2.0.3.) that’s been updated to include new features, fix bugs, and upgrade security. Try the new version, and if you’re still having issues, email me. I’ll be glad to help you get the issue resolved.

    Thanks,
    Lucinda

  4. Thanks for your response! I really appreciate it!

Leave a Reply